## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           udiskie
Version:        2.5.3
Release:        %{autorelease}
Summary:        Removable disk auto-mounter

# SPDX
License:        MIT
URL:            https://github.com/coldfix/udiskie

Source0:        %{pypi_source udiskie}
Source1:        50-udiskie.rules

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  make asciidoc gettext

Requires:       python3-%{name} = %{version}-%{release}

Requires:       hicolor-icon-theme
Requires:       polkit

Recommends:     libnotify

%description
%{name} is a front-end for UDisks written in python. Its main purpose is
automatically mounting removable media, such as CDs or flash drives. It has
optional mount notifications, a GTK tray icon and user level CLIs for manual
mounting and unmounting operations.

%package -n python3-%{name}
Summary:        %{summary}

%description -n python3-%{name}
%{name} is a front-end for UDisks written in python. This package provides the
python 3 modules used by the %{name} binaries.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
%make_build -C doc

%install
%pyproject_install
# Polkit rules
install -p -m644 -Dt ${RPM_BUILD_ROOT}%{_sysconfdir}/polkit-1/rules.d %{SOURCE1}
# Install man page and "links" for all binaries
install -p -m644 -Dt ${RPM_BUILD_ROOT}%{_mandir}/man8 doc/%{name}.8
for other in %{name}-mount %{name}-umount %{name}-info; do
    printf '.so man8/%%s.8\n' %{name} > ${RPM_BUILD_ROOT}%{_mandir}/man8/"${other}.8"
done

# Record installed files
%pyproject_save_files -l %{name}
%find_lang %{name}

%check
# test_cache.py needs python3-keyutils, which is not available
%{python3} -m unittest test.test_match

%files -f %{name}.lang
%doc README.rst
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-info
%{_bindir}/%{name}-mount
%{_bindir}/%{name}-umount
%config(noreplace)  %{_sysconfdir}/polkit-1/rules.d/50-%{name}.rules
%{_mandir}/man8/%{name}*.8*
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_%{name}*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{name}*

%files -n python3-%{name} -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Aug 16 2024 Jan Staněk <jstanek@redhat.com> - 2.5.3-5
- migrate tests to tmt

* Fri Aug 16 2024 Jan Staněk <jstanek@redhat.com> - 2.5.3-4
- Modernize packaging
- Use current %%pyproject... macros
- Utilize %%generate_buildrequires
- Do not rely on deprecated setup.py test command

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.5.3-2
- Rebuilt for Python 3.13

* Fri Apr 26 2024 Jan Staněk <jstanek@redhat.com> - 2.5.3-1
- Update to version 2.5.3 (rhbz#2276960)

* Mon Jan 29 2024 Jan Staněk <jstanek@redhat.com> - 2.5.2-1
- update to version 2.5.2 (rhbz#2260594)

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 24 2023 Jan Staněk <jstanek@redhat.com> - 2.5.1-1
- Update to version 2.5.1 (rhbz#2251255)

* Tue Oct 03 2023 Jan Staněk <jstanek@redhat.com> - 2.5.0-1
- Update to version 2.5.0 (rhbz#2241922)

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 2.4.2-5
- Rebuilt for Python 3.12

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 2.4.2-2
- Rebuilt for Python 3.11

* Wed Mar 02 2022 Jan Staněk <jstanek@redhat.com> - 2.4.2-1
- Update to version 2.4.2

* Thu Feb 03 2022 Jan Staněk <jstanek@redhat.com> - 2.4.1-1
- Update to version 2.4.1

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 01 2021 Jan Staněk <jstanek@redhat.com> - 2.4.0-1
- Update to version 2.4.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.3.3-2
- Rebuilt for Python 3.10

* Wed Mar 17 2021 Jan Staněk <jstanek@redhat.com> - 2.3.3-1
- Upgrade to version 2.3.3

* Thu Jan 28 2021 Jan Staněk <jstanek@redhat.com> - 2.3.2-1
- Upgrade to version 2.3.2

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 22 2021 Jan Staněk <jstanek@redhat.com> - 2.3.0-1
- Upgrade to version 2.3.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 2.2.0-2
- Rebuilt for Python 3.9

* Mon May 11 2020 Jan Staněk <jstanek@redhat.com> - 2.2.0-1
- Upgrade to version 2.2.0

* Fri Apr 17 2020 Jan Staněk <jstanek@redhat.com> - 2.1.1-1
- Upgrade to version 2.1.1

* Tue Feb 04 2020 Jan Staněk <jstanek@redhat.com> - 2.1.0-1
- Upgrade to version 2.1.0

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 22 2020 Jan Staněk <jstanek@redhat.com> - 2.0.4-2
- Rebuilt with gating enabled.

* Tue Jan 21 2020 Jan Staněk <jstanek@redhat.com> - 2.0.4-1
- Upgrade to version 2.0.4

* Mon Jan 20 2020 Jan Staněk <jstanek@redhat.com> - 2.0.3-1
- Upgrade to version 2.0.3

* Thu Jan 02 2020 Jan Staněk <jstanek@redhat.com> - 2.0.2-1
- Upgrade to version 2.0.2
- Modernize and clean spec file

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.7.7-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.7.7-3
- Rebuilt for Python 3.8

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Feb 18 2019 Jan Staněk <jstanek@redhat.com> - 1.7.7-1
- Upgrade to version 1.7.7

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Nov 18 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7.5-4
- Drop explicit locale setting
  See https://fedoraproject.org/wiki/Changes/Remove_glibc-langpacks-all_from_buildroot

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.7.5-2
- Rebuilt for Python 3.7

* Thu May 24 2018 Jan Staněk <jstanek@redhat.com> - 1.7.5-1
- Upgrade to 1.7.5

* Mon May 21 2018 Jan Staněk <jstanek@redhat.com> - 1.7.4-1
- Upgrade to 1.7.4

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 03 2018 Jan Staněk <jstanek@redhat.com> - 1.7.3-1
- Upgrade to 1.7.3
- Drop deprecated python2 subpackage

* Wed Oct 11 2017 Jan Staněk <jstanek@redhat.com> - 1.7.1-2
- Renamed Python 2 dependencies to python2-*
- Generated man page for new udiskie-info binary

* Wed Oct 04 2017 Jan Staněk <jstanek@redhat.com> - 1.7.1-1
- Upgrade to 1.7.1

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.8-6
- Python 2 binary package renamed to python2-udiskie
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.4.8-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.8-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 10 2016 Jan Stanek <jstanek@redhat.com> - 1.4.8-1
- Update to 1.4.8

* Wed Feb 03 2016 Jan Stanek <jstanek@redhat.com> - 1.4.7-1
- Update to 1.4.7

* Wed Feb 03 2016 Jan Stanek <jstanek@redhat.com> - 1.4.1-2
- Fix build failures on EPEL7

* Mon Dec 21 2015 Jan Stanek <jstanek@redhat.com> - 1.4.1-1
- Update to 1.4.1

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Nov 06 2015 Jan Stanek <jstanek@redhat.com> - 1.3.2-1
- Update to 1.3.2

* Thu Sep 24 2015 Jan Stanek <jstanek@redhat.com> - 1.3.1-1
- Update to 1.3.1
- Add libnotify as weak dependency

* Thu Sep 03 2015 Jan Stanek <jstanek@redhat.com> - 1.3.0-1
- Update to 1.3.0

* Tue Sep 01 2015 Jan Stanek <jstanek@redhat.com> - 1.2.1-1
- Update to 1.2.1.

* Thu Jun 04 2015 Jan Stanek <jstanek@redhat.com> - 1.2.0-1
- Initial package

## END: Generated by rpmautospec
